curl --request GET \
--url https://api.getsly.ai/v1/v1/approvals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "pending",
"amount": "<string>",
"currency": "<string>",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"approver_role": "owner",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"merchant": {
"id": "<string>",
"name": "<string>"
},
"description": "<string>",
"context": {},
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"comment": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}curl --request GET \
--url https://api.getsly.ai/v1/v1/approvals \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "pending",
"amount": "<string>",
"currency": "<string>",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"approver_role": "owner",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"merchant": {
"id": "<string>",
"name": "<string>"
},
"description": "<string>",
"context": {},
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"comment": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
Use this file to discover all available pages before exploring further.
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
pending, approved, rejected, expired, auto_approved x <= 200